コンテンツへスキップ

Catalog API (2.0.0)

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use [test bank cards](/ja/doc/pay-station/references/test-cards).

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI記述をダウンロード
言語
サーバー
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ja/api/catalog/
操作
操作
操作
操作
操作
操作
操作
操作

カート(クライアント側)

操作

カートに特定のアイテムを入れるClient-side

リクエスト

カートに特定のアイテムを入れます。カートにすでに同じSKUのアイテムがある場合、既存のアイテム位置が渡された値で置き換えられます。

セキュリティ
AuthForCart
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
cart_idstring必須

カートID。

例: custom_id
ボディapplication/json
itemsArray of objects必須

アイテムのリスト。

例: [{"quantity":123,"sku":"com.xsolla.booster_mega_1"}]
items[].​quantitynumber必須
デフォルト 123
items[].​skustring必須
デフォルト "booster_mega_1"
curl -i -X PUT \
  https://store.xsolla.com/api/v2/project/44056/cart/custom_id/fill \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "items": [
      {
        "quantity": 123,
        "sku": "com.xsolla.booster_mega_1"
      }
    ]
  }'

レスポンス

アイテムの入ったカートは正常に返送されました。

ボディapplication/json
cart_idstring

カートID。

例: "cart_id"
is_freeboolean(value-cart_is_free)

trueの場合で、カートは無料です。

itemsArray of objects
items[].​attributesArray of objects(Cart-Payment_client-attributes)

アイテムに対応する属性と値のリスト。カタログのフィルタリングに使用できます。

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​namestring

属性名。

例: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

属性の一意の値ID。external_idには、英小文字、ダッシュ、およびアンダースコアのみが含まれます。

items[].​attributes[].​values[].​valuestring

属性値。

例: "Strategy"
items[].​can_be_boughtboolean(Can_be_bought)

trueの場合、ユーザーはアイテムを購入することができます。

items[].​descriptionstring
items[].​groupsArray of objects
items[].​groups[].​external_idstring
items[].​groups[].​namestring
items[].​image_urlstring
items[].​is_bonusboolean
items[].​is_freeboolean(value-is_free)

trueの場合で、アイテムは無料です。

items[].​limitsobject or null(Catalog_item_limits)

アイテム制限。

items[].​limits.​per_itemobject or null

アイテムのアイテム制限。

items[].​limits.​per_item.​availableinteger

すべてのユーザーが購入できるアイテムの残り数。

例: 3
items[].​limits.​per_item.​totalinteger

すべてのユーザーが購入できるアイテムの最大数。

例: 5
items[].​limits.​per_userobject or null

ユーザーのアイテム制限。

items[].​limits.​per_user.​availableinteger

現在のユーザーが購入できるアイテムの残り数。

例: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

購入制限に達してから次回の制限リセットまでの間、カタログ内でのアイテムの表示・非表示を決定します。

これは、recurrent_schedule配列で定期的な制限リセットが設定されているアイテムに適用されます。

制限のリセットが設定されていない場合、limit_exceeded_visibilityの値に関わらず、購入制限に達した後のアイテムはカタログに表示されません。

列挙型 値説明
hide

購入制限に達した場合、その制限がリセットされるまで、カタログ取得のAPIコールにおいて該当アイテムは返されません。

show

購入制限に達した後も、カタログ取得のAPIコールにおいて該当アイテムは返されます。 クライアント側のカタログ取得APIコールでは、制限に達すると、該当アイテムは can_be_bought: false フラグが付与された状態で返されます。 次回の制限リセット日はreset_next_dateに返されます。

items[].​limits.​per_user.​recurrent_schedule(interval_type = 毎日 (object or null)) or (interval_type = 毎週 (object or null)) or (interval_type = 毎月 (object or null)) or (interval_type = 毎時間 (object or null))(catalog_recurrent_schedule_client_response)
One of:

ユーザー制限の日次更新タイプ。

items[].​limits.​per_user.​recurrent_schedule.​interval_typestring

定期更新期間のタイプ。

"daily"
items[].​limits.​per_user.​recurrent_schedule.​reset_next_dateinteger

制限がリセットされた日時(UNIXタイムスタンプ)。

例: 1677553200
items[].​limits.​per_user.​totalinteger

1ユーザーあたりのユーザーが購入できるアイテムの最大数。

例: 5
items[].​namestring or null
items[].​periodsArray of objects or null(item-periods)

アイテム販売期間。

items[].​periods[].​date_fromstring(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null

アイテム価格。

例: {"amount":"6150.0000000000000000","amount_without_discount":"6150.0000000000000000","currency":"USD"}
items[].​price.​amountstring
例: "6150.0000000000000000"
items[].​price.​amount_without_discountstring
例: "6150.0000000000000000"
items[].​price.​currencystring
例: "USD"
items[].​promotionsArray of objects(Catalog_item_promotions)

カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます:

  • 特定のアイテムに対して、割引キャンペーンが構成されている場合。

  • 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

items[].​promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​quantityinteger
items[].​skustring
items[].​typestring
items[].​virtual_item_typestring

アイテムタイプ。

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

仮想価格。

items[].​virtual_prices[].​amountinteger

割引を適用された仮想通貨建てのアイテム価格。

例: 100
items[].​virtual_prices[].​amount_without_discountinteger

仮想通貨建てのアイテム価格。

例: 200
items[].​virtual_prices[].​descriptionstring or null

仮想通貨の説明。

例: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

仮想通貨のイメージ。

例: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

アイテムの価格をデフォルトにするかどうか。

例: true
items[].​virtual_prices[].​namestring

仮想通貨名。

例: "Gold"
items[].​virtual_prices[].​skustring

仮想通貨アイテムSKU。

例: "gold"
items[].​virtual_prices[].​typestring

仮想通貨のタイプ。

例: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

バリューポイントアイテム報酬。

items[].​vp_rewards[].​amountinteger(value-point-amount)

バリューポイントの量。

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

画像URL。

items[].​vp_rewards[].​is_clanboolean(is_clan)

バリューポイントがクランリワードチェーンで使用されるかどうか。

items[].​vp_rewards[].​item_idinteger(item_id)

内部の一意のアイテムID。

items[].​vp_rewards[].​namestring(value-point-name)

バリューポイント名。

items[].​vp_rewards[].​skustring(value-point-sku)

一意のバリューポイントID。

priceobject or null

カート価格。

例: {"amount":"6150.0000000000000000","amount_without_discount":"6150.0000000000000000","currency":"USD"}
price.​amountstring
デフォルト "50.0000000000000000"
例: "6150.0000000000000000"
price.​amount_without_discountstring
デフォルト "100.0000000000000000"
例: "6150.0000000000000000"
price.​currencystring
デフォルト "USD"
例: "USD"
promotionsArray of objects(Catalog_cart_promotions)

カート全体に適用されたプロモーション。この配列は、次の場合に返されます:

  • プロモーションがカート合計金額に影響する場合。例えば、購入割引設定が適用されたプロモーションコード。

  • プロモーションがボーナスアイテムをカートに追加する場合。

注文レベルに適用されるプロモーションがない場合は、空の配列が返されます。

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。

列挙型"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

ボーナスアイテムの画像URLです。ボーナスアイテムのタイプ physical_good では使用できません。ー

promotions[].​bonus[].​namestring

ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

ボーナスアイテムタイプ。

列挙型"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
warningsArray of objects
warnings[].​errorCodeinteger
warnings[].​errorMessagestring
warnings[].​quantityinteger
warnings[].​skustring
レスポンス
application/json
{ "cart_id": "cart_id", "is_free": false, "items": [ {} ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "promotions": [ {} ], "warnings": [ {} ] }

カートIDによるカートアイテムを削除Client-side

リクエスト

カートからアイテムを削除します。

セキュリティ
AuthForCart
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
cart_idstring必須

カートID。

例: custom_id
item_skustring必須

アイテムSKU。

例: booster_mega_1
curl -i -X DELETE \
  https://store.xsolla.com/api/v2/project/44056/cart/custom_id/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

レスポンス

カートのアイテムは正常に削除されました。

レスポンス
コンテンツなし

カートIDによるカートアイテムを更新Client-side

リクエスト

既存のカートアイテムを更新するか、カート内のアイテムを作成します。

セキュリティ
AuthForCart
パス
project_idinteger必須

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

例: 44056
cart_idstring必須

カートID。

例: custom_id
item_skustring必須

アイテムSKU。

例: booster_mega_1
ボディapplication/json
quantitynumber

アイテム数量。

デフォルト 123
curl -i -X PUT \
  https://store.xsolla.com/api/v2/project/44056/cart/custom_id/item/booster_mega_1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quantity": 123
  }'

レスポンス

カートは正常に更新されました。

レスポンス
コンテンツなし

カート(サーバー側)

操作

決済(クライアント側)

操作

決済(サーバー側)

操作
操作

無料アイテム

操作
操作
操作
操作

マーチャント

操作

カタログ

このAPIは販売可能なアイテムや特定のアイテムを取得することができます。

操作
操作
操作
操作
操作